List your predictions
Returns your predictions across all pools, with filters, search, sort, and pagination.
GET
/
users
/
{id}
/
predictions
List your predictions
curl --request GET \
--url https://api.trepa.app/users/{id}/predictionsconst options = {method: 'GET'};
fetch('https://api.trepa.app/users/{id}/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.trepa.app/users/{id}/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/users/{id}/predictions"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/users/{id}/predictions"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pool_account": "<string>",
"predictor_account": "<string>",
"prediction_account": "<string>",
"prediction": 123,
"precision": 123,
"stake_token_mint": "<string>",
"stake": 123,
"decimals": 123,
"last_applied_value_revision": 123,
"last_applied_stake_revision": 123,
"is_fee_payer": true,
"is_closed": true,
"bump": 123,
"last_sync_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>",
"referral_redemption": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"referral_code_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z",
"referral_code": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"notes": "<string>",
"user_id": "<string>",
"creator": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"redemptions": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"referral_code_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z"
}
]
},
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
},
"created_referral_codes": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"notes": "<string>",
"user_id": "<string>",
"creator": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"redemptions": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"referral_code_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z"
}
]
}
],
"avatar": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"url": "<string>"
},
"pools": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"image_id": "<string>",
"streak_id": "<string>",
"title": "<string>",
"description": "<string>",
"pool_account": "<string>",
"resolution_source": "<string>",
"unit": "USD",
"min_stake": 123,
"max_stake": 123,
"max_roi": 123,
"stake_token_mint": "<string>",
"decimals": 123,
"min_outcome": 123,
"max_outcome": 123,
"precision": 123,
"step": 123,
"prediction_start_date": "2023-11-07T05:31:56Z",
"prediction_end_date": "2023-11-07T05:31:56Z",
"reference_date": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"is_closed": true,
"indexed_prediction_update_count": 123,
"platform_fee_rate": 123,
"total_volume": 123,
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"resolution": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pool_id": "<string>",
"result": 123,
"protocol_fee": 123,
"leftover": 123,
"median": 123
},
"image": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"url": "<string>"
},
"predictions": "<array>",
"streak": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_processed_pool_id": {},
"streak_accumulator_account": "<string>",
"title": "<string>",
"fee_percentage": 5,
"payout_percentage": 20,
"bump": 123,
"streak_count_required": 123,
"min_precision_score_required": 123,
"total_accumulated": 123,
"available_balance": 123,
"onchain_balance": 123,
"last_sync_at": "2023-11-07T05:31:56Z"
}
}
],
"settings": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"notification_preferences": {
"is_notifications_enabled": true,
"is_email_notifications_enabled": true,
"is_push_notifications_enabled": true,
"is_email_subscribe_popup_dismissed": false,
"REWARD_CLAIMED": true,
"REFUND_CLAIMED": true,
"STREAK_REWARD_RECEIVED": true
},
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
},
"notifications": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"title": "<string>",
"message": "<string>",
"type": "POOL_CREATED",
"data": {},
"read_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
}
],
"device_tokens": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"token": "<string>",
"platform": "WEB",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
}
],
"refresh_tokens": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"version": "<string>",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
}
],
"predictions": "<array>",
"api_keys": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"name": "<string>",
"key_hash": "<string>",
"is_active": true,
"last_used_at": "2023-11-07T05:31:56Z",
"user": "<unknown>"
}
]
},
"pool": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"image_id": "<string>",
"streak_id": "<string>",
"title": "<string>",
"description": "<string>",
"pool_account": "<string>",
"resolution_source": "<string>",
"unit": "USD",
"min_stake": 123,
"max_stake": 123,
"max_roi": 123,
"stake_token_mint": "<string>",
"decimals": 123,
"min_outcome": 123,
"max_outcome": 123,
"precision": 123,
"step": 123,
"prediction_start_date": "2023-11-07T05:31:56Z",
"prediction_end_date": "2023-11-07T05:31:56Z",
"reference_date": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"is_closed": true,
"indexed_prediction_update_count": 123,
"platform_fee_rate": 123,
"total_volume": 123,
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"resolution": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pool_id": "<string>",
"result": 123,
"protocol_fee": 123,
"leftover": 123,
"median": 123
},
"image": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"url": "<string>"
},
"predictions": "<array>",
"streak": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_processed_pool_id": {},
"streak_accumulator_account": "<string>",
"title": "<string>",
"fee_percentage": 5,
"payout_percentage": 20,
"bump": 123,
"streak_count_required": 123,
"min_precision_score_required": 123,
"total_accumulated": 123,
"available_balance": 123,
"onchain_balance": 123,
"last_sync_at": "2023-11-07T05:31:56Z"
}
},
"reward": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prediction_id": "<string>",
"amount": 123,
"precision_score": 123,
"is_claimed": true,
"type": "REWARD"
},
"streak": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_processed_pool_id": {},
"streak_accumulator_account": "<string>",
"title": "<string>",
"fee_percentage": 5,
"payout_percentage": 20,
"bump": 123,
"streak_count_required": 123,
"min_precision_score_required": 123,
"total_accumulated": 123,
"available_balance": 123,
"onchain_balance": 123,
"last_sync_at": "2023-11-07T05:31:56Z"
}
}
]Path Parameters
User identifier
Query Parameters
Available options:
ACTIVE, CLAIMABLE Available options:
CREATION_DATE, RESOLUTION_DATE Available options:
user, pool, reward, streak, pool.image, pool.resolution Response
The predictions have been retrieved.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 12, 2026
⌘I
List your predictions
curl --request GET \
--url https://api.trepa.app/users/{id}/predictionsconst options = {method: 'GET'};
fetch('https://api.trepa.app/users/{id}/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.trepa.app/users/{id}/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/users/{id}/predictions"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/users/{id}/predictions"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pool_account": "<string>",
"predictor_account": "<string>",
"prediction_account": "<string>",
"prediction": 123,
"precision": 123,
"stake_token_mint": "<string>",
"stake": 123,
"decimals": 123,
"last_applied_value_revision": 123,
"last_applied_stake_revision": 123,
"is_fee_payer": true,
"is_closed": true,
"bump": 123,
"last_sync_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>",
"referral_redemption": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"referral_code_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z",
"referral_code": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"notes": "<string>",
"user_id": "<string>",
"creator": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"redemptions": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"referral_code_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z"
}
]
},
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
},
"created_referral_codes": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"notes": "<string>",
"user_id": "<string>",
"creator": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"redemptions": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"referral_code_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z"
}
]
}
],
"avatar": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"url": "<string>"
},
"pools": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"image_id": "<string>",
"streak_id": "<string>",
"title": "<string>",
"description": "<string>",
"pool_account": "<string>",
"resolution_source": "<string>",
"unit": "USD",
"min_stake": 123,
"max_stake": 123,
"max_roi": 123,
"stake_token_mint": "<string>",
"decimals": 123,
"min_outcome": 123,
"max_outcome": 123,
"precision": 123,
"step": 123,
"prediction_start_date": "2023-11-07T05:31:56Z",
"prediction_end_date": "2023-11-07T05:31:56Z",
"reference_date": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"is_closed": true,
"indexed_prediction_update_count": 123,
"platform_fee_rate": 123,
"total_volume": 123,
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"resolution": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pool_id": "<string>",
"result": 123,
"protocol_fee": 123,
"leftover": 123,
"median": 123
},
"image": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"url": "<string>"
},
"predictions": "<array>",
"streak": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_processed_pool_id": {},
"streak_accumulator_account": "<string>",
"title": "<string>",
"fee_percentage": 5,
"payout_percentage": 20,
"bump": 123,
"streak_count_required": 123,
"min_precision_score_required": 123,
"total_accumulated": 123,
"available_balance": 123,
"onchain_balance": 123,
"last_sync_at": "2023-11-07T05:31:56Z"
}
}
],
"settings": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"notification_preferences": {
"is_notifications_enabled": true,
"is_email_notifications_enabled": true,
"is_push_notifications_enabled": true,
"is_email_subscribe_popup_dismissed": false,
"REWARD_CLAIMED": true,
"REFUND_CLAIMED": true,
"STREAK_REWARD_RECEIVED": true
},
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
},
"notifications": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"title": "<string>",
"message": "<string>",
"type": "POOL_CREATED",
"data": {},
"read_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
}
],
"device_tokens": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"token": "<string>",
"platform": "WEB",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
}
],
"refresh_tokens": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"version": "<string>",
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
}
}
],
"predictions": "<array>",
"api_keys": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"name": "<string>",
"key_hash": "<string>",
"is_active": true,
"last_used_at": "2023-11-07T05:31:56Z",
"user": "<unknown>"
}
]
},
"pool": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"image_id": "<string>",
"streak_id": "<string>",
"title": "<string>",
"description": "<string>",
"pool_account": "<string>",
"resolution_source": "<string>",
"unit": "USD",
"min_stake": 123,
"max_stake": 123,
"max_roi": 123,
"stake_token_mint": "<string>",
"decimals": 123,
"min_outcome": 123,
"max_outcome": 123,
"precision": 123,
"step": 123,
"prediction_start_date": "2023-11-07T05:31:56Z",
"prediction_end_date": "2023-11-07T05:31:56Z",
"reference_date": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"is_closed": true,
"indexed_prediction_update_count": 123,
"platform_fee_rate": 123,
"total_volume": 123,
"user": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"has_seen_tour": true,
"role": "USER",
"wallet_address": "<string>",
"avatar_id": "<string>",
"email": "<string>",
"twitter_username": "<string>"
},
"resolution": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pool_id": "<string>",
"result": 123,
"protocol_fee": 123,
"leftover": 123,
"median": 123
},
"image": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"url": "<string>"
},
"predictions": "<array>",
"streak": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_processed_pool_id": {},
"streak_accumulator_account": "<string>",
"title": "<string>",
"fee_percentage": 5,
"payout_percentage": 20,
"bump": 123,
"streak_count_required": 123,
"min_precision_score_required": 123,
"total_accumulated": 123,
"available_balance": 123,
"onchain_balance": 123,
"last_sync_at": "2023-11-07T05:31:56Z"
}
},
"reward": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prediction_id": "<string>",
"amount": 123,
"precision_score": 123,
"is_claimed": true,
"type": "REWARD"
},
"streak": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_processed_pool_id": {},
"streak_accumulator_account": "<string>",
"title": "<string>",
"fee_percentage": 5,
"payout_percentage": 20,
"bump": 123,
"streak_count_required": 123,
"min_precision_score_required": 123,
"total_accumulated": 123,
"available_balance": 123,
"onchain_balance": 123,
"last_sync_at": "2023-11-07T05:31:56Z"
}
}
]